Subject: [Isis-wg] CSNP from Designated IS

From: "Sachidananda K" <[email-masked]>
Date: Fri, 25 Jan 2002 05:36:18 +0000

Hi All,

When an intermediate system just comes up on a broadcast circuit it would 
typically not be having any LSPs in its database. Co-incidently, if this IS 
happens to be the designated IS for that broadcast circuit, then what start 
LSP ID and the end LSP ID shall be put in the CSNP constructed by this IS?

To be more generic, how can we ensure that this new IS's database is 
synchronised with that of all the othre IS's in the LAN?

Thanking you in advance for all the responses.

Sachi.

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: Tony Li <[email-masked]>
Date: Thu, 24 Jan 2002 21:47:19 -0800

| When an intermediate system just comes up on a broadcast circuit it would 
 | typically not be having any LSPs in its database. 

It should generate at least its own, even if it doesn't have any adjacencies.

 | Co-incidently, if this IS 
 | happens to be the designated IS for that broadcast circuit, then what start 
 | LSP ID and the end LSP ID shall be put in the CSNP constructed by this IS?

Then it should also generate a pseudo-node LSP.  The CSNP should contain
the full range of the database from LSP ID 0 (zero) to the all-ones LSP ID.

 | To be more generic, how can we ensure that this new IS's database is 
 | synchronised with that of all the othre IS's in the LAN?

It should send out CSNPs.  Anyone disagreeing should speak up.

Tony

---

From: Naiming Shen <[email-masked]>
Date: Thu, 24 Jan 2002 22:44:12 -0800

]  | To be more generic, how can we ensure that this new IS's database is 
 ]  | synchronised with that of all the othre IS's in the LAN?
 ] 
 ] 
 ] It should send out CSNPs.  Anyone disagreeing should speak up.

yes. this one is the DR, sending out csnp is all he can do. basically
he is saying "I know for sure there is no LSPs except my own", then all
the other ISs on the LAN saying "you are wrong, here is ours", then they
supply the DR with their LSPs. then the DR gets all the LSPs simply
by being wrong. what a nice protocol.

 ] 
 ] 
 ] Tony

- Naiming